import request from '@/utils/request'
	
/**
 * @Descripttion: 表情包Api接口
 * @version: (1.0)
 * @Author: (lwh)
 * @Date: (2023-10-28)
 * @LastEditors: (lwh)
 * @LastEditTime: (2023-10-28)
*/

// 表情包分页查询列表
export function emoticonDataList(query) {
  return request({
    url: '/business/EmoticonData/getEmoticonDataList',
    method: 'get',
    params: query
  })
}

// 表情包新增或修改
export function addOrUpdateEmoticonData(data) {
  return request({
    url: '/business/EmoticonData/addOrUpdateEmoticonData',
    method: 'post',
    data: data,
  })
}


// 批量添加添加表情包
export function batchAddEmoticonData(data) {
  return request({
    url: '/business/EmoticonData/batchAddEmoticonData',
    method: 'post',
    data: data,
  })
}


// 表情包删除
export function delEmoticonData(ids) {
  return request({
    url: '/business/EmoticonData/'+ ids,
    method: 'delete'
  })
}

// 表情包导出
export function exportEmoticonData(query) {
  return request({
    url: 'business/EmoticonData/exportEmoticonData',
    method: 'get',
    params: query
  })
}

